- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# kpanic.c File Reference

`#include <ubixos/kpanic.h>`
`#include <lib/kprintf.h>`
`#include <isa/8259.h>`
`#include <stdarg.h>`
`#include <ubixos/tty.h>`

Include dependency graph for kpanic.c:

Go to the source code of this file.

## Functions
void | kpanic (const char *fmt,...)
| print panic message and halt system

## Function Documentation

void kpanic | ( | const char * | fmt,
|  |  | ... |
| ) |  |  |

print panic message and halt system

Parameters:

  | fmt | panic message

Definition at line 42 of file kpanic.c.

References irqDisable(), kprintf(), NULL, tty_foreground, vaEnd, vaStart, and vsprintf().

Referenced by _int0(), _int1(), _int10(), _int11(), _int12(), _int13(), _int2(), _int3(), _int4(), _int5(), _int6(), _int8(), _int9(), cpuidDetect(), cpuInfo(), dp_recv(), execFile(), execThread(), getEmptyDesc(), insertFreeDesc(), kmain(), kmod_load(), PCtoNIC(), readUbixFS(), sched_init(), schedNewTask(), sysExec(), systemTask(), tty_change(), tty_init(), ubixfs_init(), ubixfs_thread(), ufs_init(), vitals_init(), vmm_pageFault(), vmm_setPageAttributes(), vmmCopyVirtualSpace(), vmmFindFreePage(), vmmGetFreePage(), and vmmGetFreeVirtualPage().

Here is the call graph for this function: